AbstractFOPTranscoder.FOPErrorHandler (Apache FOP Core 2.11 API)
Date: 2025-04-24

org.apache.fop.svg

## Class AbstractFOPTranscoder.FOPErrorHandler

- java.lang.Object
- - org.apache.fop.svg.AbstractFOPTranscoder.FOPErrorHandler

- All Implemented Interfaces:
    org.apache.batik.transcoder.ErrorHandler
  Enclosing class:
    AbstractFOPTranscoder

      protected class AbstractFOPTranscoder.FOPErrorHandler
      extends Object
      implements org.apache.batik.transcoder.ErrorHandler

  This is the default transcoder error handler for FOP. It logs error to an Commons Logger instead of to System.out. The remaining behaviour is the same as Batik's DefaultErrorHandler.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `FOPErrorHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `error(org.apache.batik.transcoder.TranscoderException te)`
    `void` | `fatalError(org.apache.batik.transcoder.TranscoderException te)`
    `void` | `warning(org.apache.batik.transcoder.TranscoderException te)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FOPErrorHandler

          protected FOPErrorHandler()

  - ### Method Detail

    - #### error

          public void error(org.apache.batik.transcoder.TranscoderException te)
                     throws org.apache.batik.transcoder.TranscoderException

      Specified by:
        `error` in interface `org.apache.batik.transcoder.ErrorHandler`
      Throws:
        `org.apache.batik.transcoder.TranscoderException`

    - #### fatalError

          public void fatalError(org.apache.batik.transcoder.TranscoderException te)
                          throws org.apache.batik.transcoder.TranscoderException

      Specified by:
        `fatalError` in interface `org.apache.batik.transcoder.ErrorHandler`
      Throws:
        `org.apache.batik.transcoder.TranscoderException`

    - #### warning

          public void warning(org.apache.batik.transcoder.TranscoderException te)
                       throws org.apache.batik.transcoder.TranscoderException

      Specified by:
        `warning` in interface `org.apache.batik.transcoder.ErrorHandler`
      Throws:
        `org.apache.batik.transcoder.TranscoderException`

Copyright © 2025 Apache Software Foundation. All rights reserved.